Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class RequestedPropertyImpl

    java.lang.Object
      org.apache.slide.common.RequestedPropertyImpl

All Implemented Interfaces:
  RequestedProperty

public class RequestedPropertyImpl
extends java.lang.Object
implements RequestedProperty

Holds one property as part of the SELECT element.

Version:
  $Revision: 1.7 $

Field Summary
`protected java.lang.String` | `namespace`

Constructor Summary
`RequestedPropertyImpl(java.lang.String propertyName)` Constructs a RequestedProperty using the default namespace as defined in NodeProperty
`RequestedPropertyImpl(java.lang.String propertyName, java.lang.String namespace)` Constructs a RequestedProperty:

Method Summary
`boolean` | `equals(java.lang.Object o)` checks, if another Object is equal to this RequestedProperty
`java.lang.String` | `getName()` Method getName
`java.lang.String` | `getNamespace()` Method getNamespace
`java.lang.String` | `getPropertyName()` Method getPropertyName
`int` | `hashCode()`
`java.lang.String` | `toString()` debugging purpose

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### namespace

    protected java.lang.String namespace

Constructor Detail

### RequestedPropertyImpl

    public RequestedPropertyImpl(java.lang.String propertyName)

  Constructs a RequestedProperty using the default namespace as defined in NodeProperty

Parameters:
  `propertyName` - the name of the property

### RequestedPropertyImpl

    public RequestedPropertyImpl(java.lang.String propertyName,
                                 java.lang.String namespace)

  Constructs a RequestedProperty:

Parameters:
  `propertyName` - the name of the property
  `namespace` - the namespace of the property

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Method getPropertyName

  Returns:
    the property's name

### getNamespace

    public java.lang.String getNamespace()

  Method getNamespace

  Specified by:
    `getNamespace` in interface `RequestedProperty`
  Returns:
    the property's namespace

### getName

    public java.lang.String getName()

  Method getName

  Specified by:
    `getName` in interface `RequestedProperty`
  Returns:
    the name of the property

### equals

    public boolean equals(java.lang.Object o)

  checks, if another Object is equal to this RequestedProperty

  Parameters:
    `o` - an Object
  Returns:
    true if equal

### toString

    public java.lang.String toString()

  debugging purpose

  Returns:
    String representation of this RequestedProperty

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD